import request from '@/utils/request'
// 医院下拉框
export function getList(query) {
    return request({
        url: '/system/hospital/getList',
        method: 'get',
        params: query
    })
}
// 科室下拉框
export function hospitalDepartment(hospitalId) {
    return request({
        url: `/system/hospitalDepartment/getList?hospitalId=${hospitalId}`,
        method: 'get',

    })
}
// 查询排班计划列表
export function plan(query) {
    return request({
        url: '/system/schedule/plan/list',
        method: 'get',
        params: query
    })
}
// 查询班次列表
export function schedule(hospitalId) {
    return request({
        url: `/system/schedule/getList?hospitalId=${hospitalId}`,
        method: 'get',

    })
}
// 医生姓名列表
export function hospitalPerson(departmentId,hospitalId) {
    return request({
        url: `/system/hospitalPerson/getList?departmentId=${departmentId}&hospitalId=${hospitalId}`,
        method: 'get',

    })
}



// 新增医生排班
export function add(data) {
    return request({
        url: '/system/schedule/plan/add',
        method: 'post',
        data: data
    })
}
// 排班计划明细
export function plandetail(schedulePlanId) {
    return request({
        url: `/system/schedule/plandetail/getList?schedulePlanId=${schedulePlanId}`,
        method: 'get',

    })
}



